Subject: Re: [PATCH 07/12] pseudo-merge: fix disk reads from find_pseudo_merge()

From: Junio C Hamano <[email-masked]>
Date: Wed, 01 Apr 2026 14:40:38 -0700

Jeff King <[email-masked]> writes:

> On Tue, Mar 31, 2026 at 07:46:23PM -0400, Jeff King wrote:
>
>> So I think there is something wrong or missing from the test setup, and
>> this bears further investigation. Sadly the answer to the second part
>> ("does it work now") is still "no idea". I _think_ this takes us in a
>> positive direction, but my goal here is mainly to quiet the compiler
>> warning. Further bug-hunting on this experimental feature can be done
>> separately.
>
> If this is the wrong direction or if we just want to keep things minimal
> in this patch series, the absolute smallest fix is probably to cast away
> the constness explicitly in find_pseudo_merge(), along with a comment
> that the fix is almost certainly wrong. ;)

;-) Together with the BUG("foo") at the beginning of the function...